# TimeList Class Reference
[Base data types used in Form]

Inheritance diagram for TimeList:
[legend]

List of all members.

## Public Member Functions

| clean ()
| import ($scope)
| getActualValue ()
| exportValue ()

## Static Public Member Functions

static | stringToTimeList ($string)

## Protected Attributes

| $value = array()

## Detailed Description

Definition at line 15 of file TimeList.class.php.

## Member Function Documentation

TimeList::clean | ( |  | ) |

Returns:
  TimeList

Reimplemented from BasePrimitive.

Definition at line 22 of file TimeList.class.php.

TimeList::exportValue | ( |  | ) |

Reimplemented from BasePrimitive.

Definition at line 84 of file TimeList.class.php.

TimeList::getActualValue | ( |  | ) |

Reimplemented from BasePrimitive.

Definition at line 57 of file TimeList.class.php.

TimeList::import | ( | $ | scope | ) |

Reimplemented from BasePrimitive.

Definition at line 31 of file TimeList.class.php.

References stringToTimeList().

Here is the call graph for this function:

static TimeList::stringToTimeList | ( | $ | string | ) | `[static]`

Definition at line 67 of file TimeList.class.php.

References Time::create().

Referenced by import().

Here is the call graph for this function:

## Member Data Documentation

TimeList::$value = array()`[protected]`

Reimplemented from BasePrimitive.

Definition at line 17 of file TimeList.class.php.

The documentation for this class was generated from the following file:

- core/Form/Primitives/TimeList.class.php